import request from '@/utils/request'
// 电子看板_线体上下线数量统计_查询
export function numberCount() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'MES_机加工MES_设备数据采集_设备实时电流电压_查询'
    }
  })
}
// 电子看板_计划产量更新_大柴
export function ConfirmSubmit() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '电子看板_计划产量更新_大柴',
      param: '今日目标=' + arguments[0] + '&当班目标=' + arguments[1]
    }
  })
}
// 电子看板_历史订单查询_大柴
export function histroyorder() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '电子看板_历史订单查询_大柴'
    }
  })
}
// 获取开机时间
export function switchontime() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '3',
      name: 'select top 1  开关机时间 from[dbo].[MES_机加工MES_设备数据采集_开关机状态_历史数据表] where 工位号 = \'OP6010\' and 开关机状态代码 = \'1\' order by 序号 desc'
    }
  })
}
// 获取关机机时间
export function switchofftime() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '3',
      name: 'select top 1 开关机时间 from[dbo].[MES_机加工MES_设备数据采集_开关机状态_历史数据表] where 工位号 = \'OP6010\' and 开关机状态代码 = \'0\' order by 序号 desc'
    }
  })
}
// 获取设备利用率
export function obtainequipmentutilization() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '设备利用率负载率_查询_大屏幕'
    }
  })
}
// 电子看板_工位缺陷统计_查询
export function defectSelect() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '电子看板_工位缺陷统计_查询'
    }
  })
}
// 电子看板_班次产量_查询
export function classSelect() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '电子看板_班次产量_查询'
    }
  })
}
// 电子看板_OEE_查询
export function OEESelect() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '电子看板_OEE_查询'
    }
  })
}
// 大柴OEE柱状图
export function histogram() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '测量数据_过站信息_瓶颈工位显示'
    }
  })
}
// 大柴内装柱状图
export function histogram51() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '测量数据_过站信息_内装瓶颈工位显示top10'
    }
  })
}
// 大柴外装柱状图
export function histogram52() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '测量数据_过站信息_外装瓶颈工位显示top10'
    }
  })
}
// 电子看板_工位缺陷统计_查询
export function getStates() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'MES_设备数据采集_查询额定电流'
    }
  })
}
export function machineTypeSelect() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: 'MES_设备数据采集_备件直采_查询',
      param: '工位号_check=' + arguments[0] + '&工位号=' + arguments[1]
    }
  })
}
